[Launch]
ProgramExecutable=LogoDesignerPro\LogoDesignerPro.exe
WorkingDirectory=%PAL:AppDir%\LogoDesignerPro
SinglePortableAppInstance=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\EximiousSoft\EximiousSoft Logo Designer Pro\Default\KeyCode=REG_SZ:EximiousSoft

[RegistryKeys]
LogoDesignerPro=HKCU\Software\EximiousSoft\EximiousSoft Logo Designer Pro
-=HKLM\SOFTWARE\Classes\.eldp
-=HKLM\SOFTWARE\Classes\Pro.Logo.Design.Document
-=HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\LogoDesignerPro.exe

[RegistryCleanupIfEmpty]
1=HKCU\Software\EximiousSoft

[DirectoriesMove]
LogoDesignerPro=%AppData%\LogoDesignerPro

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\LogoDesignerPro.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\LogoDesignerPro.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\LogoDesignerPro.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\